Subject: Re: linux-next: manual merge of the pwm tree with the s5p tree

From: Thierry Reding <[email-masked]>
Date: Sat, 30 Jun 2012 21:58:47 +0200

On Fri, Jun 29, 2012 at 04:49:46PM +1000, Stephen Rothwell wrote:
> Hi Thierry,
> 
> Today's linux-next merge of the pwm tree got a conflict in
> arch/arm/plat-samsung/Makefile between commit 65ab16fd385f ("ARM: EXYNOS:
> Remove leftovers of the Samsung specific power domain control") from the
> s5p tree and commit 2663e766c56a ("ARM Samsung: Move s3c pwm driver to
> pwm framework") from the pwm tree.
> 
> Just context changes. I fixed it up (see below) and can carry the fix as
> necessary.

I wonder, when these changes are merged by Linus during the merge
window, does he have to resolve these conflicts again or does he get the
resolutions from you? Or should I rather base the PWM tree on top of the
corresponding EXYNOS changes to sidestep the issue?

Thierry

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> 
> diff --cc arch/arm/plat-samsung/Makefile
> index 4bb58c2,9685472..0000000
> --- a/arch/arm/plat-samsung/Makefile
> +++ b/arch/arm/plat-samsung/Makefile
> @@@ -59,7 -59,7 +59,3 @@@ obj-$(CONFIG_SAMSUNG_WAKEMASK)	+= wakeu
>   
>   obj-$(CONFIG_S5P_PM)		+= s5p-pm.o s5p-irq-pm.o
>   obj-$(CONFIG_S5P_SLEEP)		+= s5p-sleep.o
> --
> - # PWM support
> - 
> - obj-$(CONFIG_HAVE_PWM)		+= pwm.o
>  -# PD support
>  -
>  -obj-$(CONFIG_SAMSUNG_PD)	+= pd.o